Description

Currently the only fallback applied when resolving translations is the implicit chain in locale, e.g. en_UK > en

It should be possible to define an order for fallback instead, so that one can say requested > de > za > default should be used.

Associated revisions
Revision 9ccbdb00 - 2012-02-23 17:01 - Karsten Dambekalns

[FEATURE] Adds fallback rules for locale resolution

Allows to set a fallback order for locale resolving. If not set,
the implicit inheritance of locales will be used. That is, if a
locale of en_UK is requested, matches will be searched for in en_UK
and en before trying the default locale configured in FLOW3.

If FLOW3 is given an order of [dk, za, fr_CA] a request for en_UK will
be looked up in en_UK, en, dk, za, fr_CA, fr before trying the default
locale.

If strict rule adherence is requested, the above example would instead look
in en_UK, dk, za, fr_CA before trying the default locale. In other words,
the implicit fallback is not applied to the locales in the fallback rule.

Change-Id: I53bc195258e219d94bb650a94a917978bce79959
Resolves: #34172
Releases: 1.1

History
#1 - 2012-02-22 13:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9147

#2 - 2012-02-23 17:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9147

#3 - 2012-02-24 02:43 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9ccbdb00a87a21796f28212c480a35112d014196.
